> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/sdk/domains-api/screen/screen.setiosswipeback.md).

# Screen.setIosSwipeBack

> 함수형 API `setIosSwipeGestureEnabled`로도 같은 기능을 쓸 수 있어요.

### 기능 설명

iOS에서 화면을 스와이프해 뒤로가기하는 기능을 켜거나 꺼요. `isEnabled`가 `true`이면 스와이프로 뒤로 갈 수 있고, `false`이면 비활성화돼요.

### 타입

```ts
Screen.setIosSwipeBack(options: SetIosSwipeGestureEnabledOptions): Promise<void>;
```

**Params**

```ts
interface SetIosSwipeGestureEnabledOptions {
  isEnabled: boolean;
}
```

**Response**

없음.

### 예시 코드

```js
import { Screen } from "@apps-in-toss/web-framework";

// 스와이프 뒤로가기를 끄고 싶을 때
await Screen.setIosSwipeBack({ isEnabled: false });

// 스와이프 뒤로가기를 다시 켜고 싶을 때
await Screen.setIosSwipeBack({ isEnabled: true });
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/sdk/domains-api/screen/screen.setiosswipeback.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
